/*
 * Copyright © 2012 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See LICENSE.TXT for license information.
 */
package com.nokia.example;

/**
 * RecordStore access is done via this interface.
 *
 * Main purpose for this interface is hide the actual details how record store
 * is used. This makes it possible to change record store access strategy
 * easily.
 *
 */
public interface RmsConnection {

    public void open();

    public byte[] get();

    public void set(byte[] data);

    public void close();
}
